For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDashboard
GuidesAPI Reference
GuidesAPI Reference
  • Endpoints
      • POSTCreate a call
      • GETList calls
      • GETGet a call
      • POSTJoin a call
      • POSTEnd a call
      • GETGet call recording
LogoLogo
SupportDashboard
EndpointsCalls

Get call recording

GET
/calls/:call_id/recording
GET
/api/v1/calls/:call_id/recording
$curl https://tryenvoy.ai/api/v1/calls/call_id/recording \
> -H "Authorization: Bearer <token>"
1{
2 "call_id": "call_00000000-0000-0000-0000-000000000000",
3 "url": "string",
4 "content_type": "string",
5 "expires_at": "2024-01-15T09:30:00Z",
6 "recording_status": "string",
7 "duration_seconds": 1.1,
8 "file_size_bytes": 1,
9 "recording_start_time": "2024-01-15T09:30:00Z"
10}

Get a time-limited playback URL for a call recording.

Authentication: Supports API key and bearer token authentication.

Was this page helpful?
Previous

Initiate carrier outreach

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

call_idstringRequiredformat: "uuid"

Headers

X-Organization-IDstring or nullOptional

Response

Successful Response
call_idstringformat: "^call_[0-9a-f]{8}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{4}-[0-9a-f]{12}$"
ID of the call this recording belongs to
urlstring

Time-limited URL for streaming the recording

content_typestring

MIME type (audio/mp4 or video/mp4)

expires_atdatetime
When the playback URL expires
recording_statusstring
Current recording status
duration_secondsdouble or null
Recording duration in seconds
file_size_bytesinteger or null
File size in bytes
recording_start_timedatetime or null
When the recording started

Errors

401
Unauthorized Error
403
Forbidden Error
404
Not Found Error
422
Unprocessable Entity Error
429
Too Many Requests Error